KWSTYLE(1)

NAME
KWStyle - Style checker for source code

SYNOPSIS
KWStyle

DESCRIPTION
This manual page documents briefly the KWStyle command.

You can find information on the KWStyle web page at https://kitware.github.io/KWStyle/.

OPTIONS

-d
    Specify a directory.

-R
    Associated with -d: recurse through directories.

-v
    Display errors.

-qv
    Display less information.

-lesshtml
    Display less HTML.

-vim
    Generate errors as VIM format.

-msvc
    Generate errors as MSVC format.

-gcc
    Generate errors as GCC format.

-html [filename]
    Generate the HTML report.

-cvs
    Using KWStyle as a cvs precommit script.

-exporthtml
    Export the HTML report online.

-xml [filename]
    Read a XML configure file.

-exportxml [filename]
    Write output the report as a simple XML.

-o [filename]
    Overwrite rules file.

-D
    Specify a file listing all the directories.

-B [filename]
    Specify the base directory of the file.

-b [filename]
    Specify a black list of words.

-dart <filename> [maxerror] [group]
    Write out files to be send to the dart server. With: maxerror (Default = -1) With: group (Default = 0)

-kwsurl <url>
    Specify the base url of the KWStyle HTML report.

-fix
    Write out a fixed version of the parsed file.

<infile>
    input filename

SEE ALSO
List of KWStyle features at https://kitware.github.io/KWStyle/resources/features.html.

AUTHOR
Julien Jomier

This manual page was written by Mathieu Malaterre <malat@debian.org> and Benjamin Eikel <debian@eikel.org> for the Debian GNU/Linux system (but may be used by others).